package com.xhkjedu.sapi.controller.itemtool.dict;

import com.xhkjedu.sapi.model.itemtool.dict.DWord;
import com.xhkjedu.sapi.service.itemtool.dict.WordService;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.vo.ResultVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * @ClassName WordController
 * Description TODO 单词信息
 * Author WN
 * Date 2020/11/21 11:00
 **/
@RestController
@RequestMapping("/word")
public class WordController {
    @Autowired
    private WordService wordService;

    @PostMapping("/save")
    public ResultVo save(@RequestBody DWord word){
        wordService.saveWord(word);
        return new ResultVo(0,"保存成功");
    }

    @PostMapping("/search")
    public ResultVo list(@RequestBody DWord word){
        N_Utils.validation(new Object[]{word.getWord_name(),"搜索的词",3});
        DWord rtnword = wordService.getWordByName(word.getWord_name());
        return new ResultVo(0,"搜索成功",rtnword);
    }
}
