package com.xhkjedu.sapi.mapper.itemtool.dict;

import com.xhkjedu.sapi.base.TkMapper;
import com.xhkjedu.sapi.model.itemtool.dict.DWordexam;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @ClassName WordexamMapper
 * Description TODO 单词真题例句
 * Author WN
 * Date 2020/11/21 11:57
 **/
@Repository
public interface WordexamMapper extends TkMapper<DWordexam> {
    /**
     *功能描述 单词真题例句集合
     * @author WN
     * @date 2020/11/21
     * @param  * @param id
     * @return java.util.List<com.xhkjedu.model.itemtool.dict.DWordexam>
     */
    List<DWordexam> listObjsByWordid(@Param("id") int id);
}
