package com.xhkjedu.sapi.mapper.itemtool.dict;

import com.xhkjedu.sapi.base.TkMapper;
import com.xhkjedu.sapi.model.itemtool.dict.DWordphrase;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @ClassName WordphraseMapper
 * Description TODO 单词词组
 * Author WN
 * Date 2020/11/21 11:52
 **/
@Repository
public interface WordphraseMapper extends TkMapper<DWordphrase> {

    /**
     *功能描述 单词词组
     * @author WN
     * @date 2020/11/21
     * @param  * @param id
     * @return java.util.List<com.xhkjedu.model.itemtool.dict.DWordphrase>
     */
    List<DWordphrase> listObjsByWordid(@Param("id") int id);
}
