package com.xhkjedu.sapi.model.itemtool.dict;

import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName DWordexample
 * Description 词典_单词例句示例表
 * Author WN
 * Date 2020/11/21 11:36
 **/
@Data
@Table(name = "d_wordexample")
public class DWordexample{
    @Id
    private Integer id;//词典_单词例句示例表
    private Integer wordid;//单词表id
    private String def;//英语释义
    private String tran;//中文释义
    private Integer createtime;//创建时间

    private List<DWordexampleEx> wordexampleExList = new ArrayList<>();//单词例句示例例句
}
