package com.xhkjedu.sapi.model.itemtool.dict;

import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName DWordphraseMean
 * Description 词典_单词词组释义表
 * Author WN
 * Date 2020/11/21 11:36
 **/
@Data
@Table(name = "d_wordphrase_mean")
public class DWordphraseMean{
    @Id
    private Integer id;//词典_单词词组释义表
    private Integer phraseid;//词组表id
    private String jx_en_mean;//词组英文释义
    private String jx_cn_mean;//词组中文释义
    private Integer createtime;//创建时间

    private List<DWordphraseMeanEx> wordphraseMeanExList = new ArrayList<>();//单词词组释义例句
}
