package com.xhkjedu.sclass.mapper.room;

import com.xhkjedu.sclass.base.TkMapper;
import com.xhkjedu.sclass.model.classroom.TClassroomAskstudent;
import org.apache.ibatis.annotations.Param;

public interface RoomAskstudentMapper extends TkMapper<TClassroomAskstudent> {
    /**
     * 保存学生作答情况
     * @Param [student]
     * @Author ywx
     * @Date 2020/7/14 14:04
     * @return java.lang.Integer
     **/
    Integer save(@Param("r") TClassroomAskstudent student);

    /**
     * 修改学生作答记录（教师添加批注）
     * @Param [asksid, studentpic]
     * @Author ywx
     * @Date 2020/9/11 15:08
     * @return void
     **/
    void updateStudentpic(Integer asksid, String studentpic);
}