package com.xhkjedu.sapi.mapper.itemtool.dict;

import com.xhkjedu.sapi.base.TkMapper;
import com.xhkjedu.sapi.model.itemtool.dict.DWord;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @ClassName WordMapper 单词基本信息
 * Description TODO
 * Author WN
 * Date 2020/11/21 10:52
 **/
@Repository
public interface WordMapper extends TkMapper<DWord> {

    /**
     *功能描述 根据单词查询单词信息
     * @author WN
     * @date 2020/11/21
     * @param  * @param word_name
     * @return com.xhkjedu.model.itemtool.dict.DWord
     */
    DWord getWordByWordname(@Param("word_name") String word_name);

    /**
     *功能描述 根据词义获取单词
     * @author WN
     * @date 2020/11/21
     * @param  * @param word_name
     * @return com.xhkjedu.model.itemtool.dict.DWord
     */
    DWord getWordByWordmean(@Param("word_name") String word_name);

}
