package com.xhkjedu.sclass.mapper.classroom;

import com.xhkjedu.sclass.base.TkMapper;
import com.xhkjedu.sclass.model.classroom.TClassroomSign;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface ClassroomSignMapper extends TkMapper<TClassroomSign> {

    /**
     * 获取课堂学生列表
     * @Param [roomid]
     * @Author ywx
     * @Date 2020/9/8 10:19
     * @return java.util.List<com.xhkjedu.vo.classroom.StudentSignVo>
     **/
    List<Map> listStudent(@Param("roomid") Long roomid);
}