package com.xhkjedu.sclass.mapper.room;

import com.xhkjedu.sclass.base.TkMapper;
import com.xhkjedu.sclass.model.classroom.TClassroomPaperStudent;

/**
 * @author ywx
 * @classname RoomPaperStudentMapper
 * @description
 * @date 2020/7/15 16:06
 **/
public interface RoomPaperStudentMapper extends TkMapper<TClassroomPaperStudent> {
    //获取考试学生信息
    TClassroomPaperStudent findById(Integer psid);

    //更新用户考试批改状态
    void updateState(int pschecked, Integer psid);

    //更新用户得分
    void updateScantronStuScore(Integer psid);

    //判断该作业该班级是否存在未批改学生
    Integer getNotCorrect(Long paperid, Integer classid);

    //根据考试学生id获取考试是否完成批阅
    Integer getCheckedByPsId(Integer psid);
}
